Package org.jfree.report.flow.paginating

# Class PageState

java.lang.Object
org.jfree.report.flow.paginating.PageState

All Implemented Interfaces:
  `Serializable`

public class PageState extends Object implements Serializable
Creation-Date: 11.11.2006, 19:01:53

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PageState(ReportTargetState targetState, LayoutController layoutController, int pageCursor)`

## Method Summary

Modifier and Type
Method
Description
`LayoutController`
`getLayoutController()`
`int`
`getPageCursor()`
`ReportTargetState`
`getTargetState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageState

public PageState(ReportTargetState targetState, LayoutController layoutController, int pageCursor)

## Method Details

### getPageCursor

public int getPageCursor()

### getTargetState

public ReportTargetState getTargetState()

### getLayoutController

public LayoutController getLayoutController()